Capture a charge

Sandbox (Testing): https://global-api.sand.au.edge.zip.co/merchant/charges/{chargeId}/capture

Once a Charge has been Authorized it must then be Captured for disbursement to the merchant. This is done by simply referring to the Authorized "charge_id" in the endpoint url and passing the amount to be captured.

/charges/{chargeId}/capture

Useful Notes

  • You can capture less than the authorized amount.

E.g. if the authorized amount is $100, you do a partial capture of $10, and then a final capture of $70 specifying is_partial_capture=false, then the remaining $20 will be released to the customer account.

  • You cannot capture an amount beyond what was authorized.
  • The "charge_id" must be in an "Authorized" state to be captured.
  • Ensure the idempotency-key header parameter is present in capture API requests.

Example Request

{
  "amount": 100,
  "reference":"ref_1646065022",
  "is_partial_capture":false  
}
Body Params
int32
required

Order shipping address object.

string

Unique transaction reference.

boolean

Specifies whether the capture request is partial or not. If true and the capture amount is less than the authorized amount then the outstanding balance will remain authorised for capture at a later stage. If false and the capture amount is less than the authorized amount then the outstanding balance will be released back to the customer and the charges will be finalised, future captures will not be allowed. Default value is false if attribute is not specified in the request..

Headers
string
required

Bearer {{API Key}}

string
required

[RandomString]

string
required

2021-08-25

Response

Language
Response
Choose an example:
application/json